Skip to navigation

Retrieve a product

View as Markdown
Retrieves detailed information about a specific product, including information about its product rate plans and charges. This operation returns a maximum of 300 product rate plans and 300 product rate plan charges across all product rate plans in the response.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

product-keystringRequired

The unique ID, SKU, or product number of the product that you want to retrieve. For example, 8a808255575bdae4015774e9602e16fe, SKU-00000987, or PC-00000006.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
categorystringOptional

Category of the product. Used by Zuora Quotes Guided Product Selector.

Possible values are:

  • Base Products
  • Add On Services
  • Miscellaneous Products
descriptionstringOptional
Optional product description.
effectiveEndDatedateOptional

The date when the product expires and cannot be subscribed to anymore, as yyyy-mm-dd.

effectiveStartDatedateOptional

The date when the product becomes available and can be subscribed to, as yyyy-mm-dd.

idstringOptional
Product ID.
namestringOptional
Product name, up to 100 characters.
organizationLabelslist of objectsOptional

The organization(s) that the object belongs to.

Note: This field is available only when the Multi-Org feature is enabled.

productFeatureslist of objectsOptional

Container for one or more product features. Only available when the following settings are enabled:

  • The Entitlements feature in your tenant
  • The Enable Feature Specification in Product and Subscriptions setting in Settings > Billing
productNumberstringOptional
The natural key of the product.
productRatePlansstringOptionalformat: "URL"

URL to retrieve information about all product rate plans of a specific product. For example, /v1/rateplan/40289f466463d683016463ef8b7301a0/productRatePlan.

Note: The value of this field is a URL only if you are on the latest API version of the Zuora API or set the Zuora-Version request header to 230.0 or a later available version.

Zuora recommends that you use the latest behavior to retrieve product information. If you set this header to 229.0 or earlier, the value of this field is an array of product rate plan details.

skustringOptional
Unique product SKU, up to 50 characters.
tagsstringOptional
IntegrationId__NSstringOptional<=255 characters

ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

IntegrationStatus__NSstringOptional<=255 characters

Status of the product’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

ItemType__NSenumOptional

Type of item that is created in NetSuite for the product. Only available if you have installed the Zuora Connector for NetSuite.

Allowed values:
SyncDate__NSstringOptional<=255 characters

Date when the product was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Errors

4XX
Client Request Error
500
Internal Server Error